Bug 179312 - Bonding driver error in FC3
Bonding driver error in FC3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-30 01:25 EST by CTAC
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 14:21:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CTAC 2006-01-30 01:25:54 EST
Description of problem:

bonding driver in fedora's kernel broken
says error when loads and fails when use
--
Debug: sleeping function called from invalid context at mm/slab.c:2126
--
Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1381_FC3
How reproducible:
Always
(all info got from /usr/share/doc/iputils-20020927/README.bonding)
1. put this into /etc/modprobe.conf
===
alias bond0 bonding
options bond0 miimon=1000 mode=balance-alb use_carrier=1 updelay=15000
alias eth0 e100
alias eth1 e100
===
2. create /etc/sysconfig/network-scripts/ifcfg-bond0
===
BOOTPROTO=static
BROADCAST="10.128.255.255"
DEVICE=bond0
GATEWAY=10.128.0.1
IPADDR="10.128.0.139"
NETMASK="255.255.0.0"
NETWORK="10.128.0.0"
ONBOOT=yes
USERCTL=no
===
3. create /etc/sysconfig/network-scripts/ifcfg-eth0
===
# Intel Corporation 82557/8/9 [Ethernet Pro 100]
BOOTPROTO=none
DEVICE=eth0
HWADDR=00:A0:C9:4B:10:A9
MASTER=bond0
ONBOOT=yes
SLAVE=yes
USERCTL=no
===
4.  create /etc/sysconfig/network-scripts/ifcfg-eth1
===
# Intel Corporation 82557/8/9 [Ethernet Pro 100]
BOOTPROTO=none
DEVICE=eth1
HWADDR=00:A0:C9:B8:89:0C
MASTER=bond0
ONBOOT=yes
SLAVE=yes
USERCTL=no
===
5. reboot ;-)



Actual Results:
===
Jan 26 17:55:45 SukholetSI kernel: e100: eth0: e100_watchdog: link up, 100Mbps,
full-duplex
Jan 26 17:55:45 SukholetSI kernel: bonding: bond0: making interface eth0 the new
active one.
Jan 26 17:55:45 SukholetSI kernel: Debug: sleeping function called from invalid
context at mm/slab.c:2126
Jan 26 17:55:45 SukholetSI kernel: in_atomic():1, irqs_disabled():0
Jan 26 17:55:45 SukholetSI kernel:  [<c011d7b4>] __might_sleep+0x9c/0xaa
Jan 26 17:55:45 SukholetSI kernel:  [<c0159e32>] kmem_cache_alloc+0x3c/0x4c
Jan 26 17:55:45 SukholetSI kernel:  [<c02f4b06>] alloc_skb+0x18/0xc9
Jan 26 17:55:45 SukholetSI kernel:  [<c0303ad8>] rtmsg_ifinfo+0x1c/0x96
Jan 26 17:55:45 SukholetSI kernel:  [<f88310c6>] mii_ethtool_gset+0xc6/0x231 [mii]
Jan 26 17:55:45 SukholetSI kernel:  [<c0303f0c>] rtnetlink_event+0x1c/0x45
Jan 26 17:55:45 SukholetSI kernel:  [<c01340eb>] notifier_call_chain+0x15/0x29
Jan 26 17:55:45 SukholetSI kernel:  [<c02fc5b0>] dev_set_mac_address+0x49/0x4d
Jan 26 17:55:45 SukholetSI kernel:  [<f887c053>]
alb_set_slave_mac_addr+0x65/0x82 [bonding]
Jan 26 17:55:45 SukholetSI kernel:  [<f887c0e8>] alb_swap_mac_addr+0x78/0x16b
[bonding]
Jan 26 17:55:45 SukholetSI kernel:  [<f8874595>] bond_enslave+0x570/0x783 [bonding]
Jan 26 17:55:45 SukholetSI kernel:  [<c0314357>] rt_cache_flush+0xb2/0x295
Jan 26 17:55:45 SukholetSI kernel:  [<f8876672>] bond_do_ioctl+0x292/0x2cf [bonding]
Jan 26 17:55:45 SukholetSI kernel:  [<c02fd1f2>] netdev_run_todo+0x20/0x354
Jan 26 17:55:45 SukholetSI kernel:  [<c033fab8>] inet_insert_ifa+0xc0/0x140
Jan 26 17:55:45 SukholetSI kernel:  [<c0340200>] devinet_ioctl+0x2a0/0x528
Jan 26 17:55:45 SukholetSI kernel:  [<f88763e0>] bond_do_ioctl+0x0/0x2cf [bonding]
Jan 26 17:55:45 SukholetSI kernel:  [<c02fc6bd>] dev_ifsioc+0x109/0x368
Jan 26 17:55:45 SukholetSI kernel:  [<c02fcb29>] dev_ioctl+0x20d/0x26e
Jan 26 17:55:45 SukholetSI kernel:  [<c033afa5>] udp_ioctl+0x0/0x1ab
Jan 26 17:55:45 SukholetSI kernel:  [<c0341ee4>] inet_ioctl+0x47/0x84
Jan 26 17:55:45 SukholetSI kernel:  [<c02f0e93>] sock_ioctl+0x192/0x221
Jan 26 17:55:45 SukholetSI kernel:  [<c02f04f3>] sock_map_fd+0x28/0x39
Jan 26 17:55:45 SukholetSI lm_sensors: Starting lm_sensors: loading module
Jan 26 17:55:45 SukholetSI kernel:  [<c02f0d01>] sock_ioctl+0x0/0x221
Jan 26 17:55:45 SukholetSI lm_sensors: i2c-i801
Jan 26 17:55:45 SukholetSI kernel:  [<c018e594>] do_ioctl+0x44/0x52
Jan 26 17:55:45 SukholetSI kernel:  [<c018e697>] vfs_ioctl+0x55/0x193
Jan 26 17:55:45 SukholetSI kernel:  [<c01676f0>] do_munmap+0xd8/0x112
Jan 26 17:55:45 SukholetSI kernel:  [<c018e834>] sys_ioctl+0x5f/0x6f
Jan 26 17:55:45 SukholetSI kernel:  [<c010394d>] syscall_call+0x7/0xb
Jan 26 17:55:45 SukholetSI kernel: bonding: bond0: enslaving eth0 as an active
interface with an up link.
Jan 26 17:55:45 SukholetSI kernel: e100: eth1: e100_watchdog: link up, 100Mbps,
full-duplex
Jan 26 17:55:45 SukholetSI kernel: bonding: bond0: enslaving eth1 as an active
interface with an up link.
===

Expected Results:
===
this is messages from RHAS4 (kernel-2.6.9-22.ELsmp) clone, bond0 on eth2-eth3:
Jan 26 11:02:08 garden ifup: device eth2 goes depend on bond0
Jan 26 11:02:09 garden kernel: bonding: bond0: enslaving eth2 as an active
interface with a down link.
Jan 26 11:02:09 garden ifup: device eth3 goes depend on bond0
Jan 26 11:02:09 garden kernel: bonding: bond0: enslaving eth3 as an active
interface with a down link.
Jan 26 11:02:09 garden network: Activate interface bond0:  succeeded
Jan 26 11:02:10 garden kernel: tg3: eth2: Link is up at 100 Mbps, full duplex.
Jan 26 11:02:10 garden kernel: tg3: eth2: Flow control is off for TX and off for RX.
Jan 26 11:02:10 garden kernel: bonding: bond0: link status up for interface
eth2, enabling it in 15000 ms.
Jan 26 11:02:10 garden kernel: tg3: eth3: Link is up at 100 Mbps, full duplex.
Jan 26 11:02:10 garden kernel: tg3: eth3: Flow control is off for TX and off for RX.
Jan 26 11:02:10 garden kernel: bonding: bond0: link status up for interface
eth3, enabling it in 15000 ms.
Jan 26 11:02:25 garden kernel: bonding: bond0: link status definitely up for
interface eth2.
Jan 26 11:02:25 garden kernel: bonding: bond0: making interface eth2 the new
active one.
Jan 26 11:02:25 garden kernel: bonding: bond0: link status definitely up for
interface eth3.
===
Additional information:
and sometimes I have following in /var/log/messages:
---
Jan 30 07:09:55 SukholetSI kernel: bonding: bond0: link status up for interface
eth1, enabling it in 15000 ms.
Jan 30 07:09:58 SukholetSI kernel: e100: eth1: e100_watchdog: link down
Jan 30 07:09:59 SukholetSI kernel: bonding: bond0: link status down again after
4000 ms for interface eth1.
Jan 30 07:10:01 SukholetSI kernel: bonding: Error: found a client with no
channel in the client's hash table
Jan 30 07:10:07 SukholetSI last message repeated 174 times
Jan 30 07:10:08 SukholetSI kernel: e100: eth1: e100_watchdog: link up, 100Mbps,
full-duplex
Jan 30 07:10:08 SukholetSI kernel: bonding: Error: found a client with no
channel in the client's hash table
Jan 30 07:10:08 SukholetSI last message repeated 24 times
Jan 30 07:10:09 SukholetSI kernel: bonding: bond0: link status up for interface
eth1, enabling it in 15000 ms.
Jan 30 07:10:09 SukholetSI kernel: bonding: Error: found a client with no
channel in the client's hash table
Jan 30 07:10:09 SukholetSI last message repeated 24 times
Jan 30 07:10:12 SukholetSI kernel: e100: eth1: e100_watchdog: link down
Jan 30 07:10:13 SukholetSI kernel: bonding: bond0: link status down again after
4000 ms for interface eth1.
Jan 30 07:10:14 SukholetSI kernel: bonding: Error: found a client with no
channel in the client's hash table
Jan 30 07:10:16 SukholetSI last message repeated 74 times
Jan 30 07:10:24 SukholetSI kernel: e100: eth1: e100_watchdog: link up, 100Mbps,
full-duplex
Jan 30 07:10:25 SukholetSI kernel: bonding: bond0: link status up for interface
eth1, enabling it in 15000 ms.
Jan 30 07:10:27 SukholetSI kernel: bonding: Error: found a client with no
channel in the client's hash table
Jan 30 07:10:29 SukholetSI last message repeated 74 times
Jan 30 07:10:30 SukholetSI kernel: e100: eth1: e100_watchdog: link down
---
But everything is OK with my network
Comment 1 Dave Jones 2006-02-03 14:21:41 EST
With the release of Fedora Core 5 test2, FC3 has now reached end-of-life.
The fedora-legacy team provide security updates for older releases, but not
general bug fixes due to limited resources.

If you can reproduce this bug with Fedora Core 4, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.